This repository provides hands-on introductions to build application-specific FPGA systems
using the high-level OmpSs@FPGAtool. The goal is to give the reader a baseline view of the
process of creating an optimized hardware design annotating C-based code with HLS directives.
We assume the reader has a working knowledge of C/C++, and familiarity with basic computer
architecture concepts (e.g. speedup, parallelism, pipelining).

All the exercises are described in detail in the INAF Technical Report:
" Software acceleration on Xilinx FPGAs using OmpSs@FPGA ecosystem ".

References

If you would like to cite this work: